org.apache.cassandra.cql3

## Class ColumnCondition

- java.lang.Object
- - org.apache.cassandra.cql3.ColumnCondition

    public class ColumnCondition
    extends java.lang.Object

A CQL3 condition.

### Nested Class Summary

Nested Classes
`static class` `ColumnCondition.Bound`
`static class` `ColumnCondition.Raw`

### Field Summary

Fields
`ColumnDefinition` `column`

### Method Summary

Methods
`ColumnCondition.Bound` `bind(QueryOptions options)`
`void` `collectMarkerSpecification(VariableSpecifications boundNames)` Collects the column specification for the bind variables of this operation.
`static ColumnCondition` `equal(ColumnDefinition column, Term value)`
`static ColumnCondition` `equal(ColumnDefinition column, Term collectionElement, Term value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### column

    public final ColumnDefinition column

### Method Detail

#### equal

    public static ColumnCondition equal(ColumnDefinition column,
                        Term value)

#### equal

    public static ColumnCondition equal(ColumnDefinition column,
                        Term collectionElement,
                        Term value)

#### collectMarkerSpecification

    public void collectMarkerSpecification(VariableSpecifications boundNames)

Collects the column specification for the bind variables of this operation.

Parameters:
  `boundNames` - the list of column specification where to collect the bind variables of this term in.

#### bind

    public ColumnCondition.Bound bind(QueryOptions options)
                               throws InvalidRequestException

Throws:
  `InvalidRequestException`